'
' Copyright (c) 2016, MindFusion LLC - Bulgaria.
'


Public Class MainForm

    Public Sub New()

        InitializeComponent()

        Dim form As New ProgressForm
        form.Show(Me)
        form.Activate()
        Application.DoEvents()

        report = New InvoicesReport()
        reportViewer.Report = report

        form.Hide()
        form.Dispose()

    End Sub

    ' <summary>
    ' Handles the Click event of the Preview menu.
    ' </summary>
    Private Sub menuItemPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemPreview.Click

        Dim printer As New ReportPrinter()
        printer.Report = reportViewer.Report

        Dim options As New PreviewOptions()
        options.TitleBarIcon = Me.Icon

        Dim preview As New PrintPreviewForm()
        preview.Text = "Invoices (Preview)"
        preview.Document = printer
        preview.ShowDialog()

    End Sub

    ' <summary>
    ' Handles the Click event of the Exit menu.
    ' </summary>
    Private Sub menuItemExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemExit.Click

        Me.Close()

    End Sub

    Private Sub menuItemPerPage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemPerPage.Click

        menuItemPerPage.Checked = True
        menuItemContinuous.Checked = False

        report.Continuous = False
        report.Run()

        reportViewer.Invalidate()

    End Sub

    Private Sub menuItemContinuous_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles menuItemContinuous.Click

        menuItemPerPage.Checked = False
        menuItemContinuous.Checked = True

        report.Continuous = True
        report.Run()

        reportViewer.Invalidate()

    End Sub


    Private report As InvoicesReport

End Class
